VS kodu FSI kullanabilmek için değil

oy
2

Birkaç gündür, ben, bana bu mesajı veriyor Fsharp İnteraktif tercüman kullanmak (Alt + Enter) açamıyorum: *Failed to spawn FSI, please ensure it's in PATH*

Senaryoyu çalıştırırsanız da, bu bana vermek connect ENONNREFUSED 127.0.0.1.8397

Kullanıyorum: - Ubuntu 16.04 - Visual Studio Code 1.28.2 - Ionide-sharp 3.28.0

Herkes bunu düzeltmek için bir fikir var?

Şimdiden teşekkürler

Oluştur 20/10/2018 saat 14:03
kaynak kullanıcı
Diğer dillerde...                            


2 cevaplar

oy
2

Ben ana nedeni yapılan son güncelleme olduğunu düşünüyorum. Bir geri alma yaptık ve şimdi her şey normale döndü:

  1. VS kodundan ionide-Fsharp kaldırma
  2. tıklayın https://github.com/ionide/ionide-vscode-fsharp/releases/download/3.27.0/Ionide-fsharp-3.27.0.vsix ionide önceki sürümünü indirmek için (v 3.27.0)
  3. Sıkıştırılmış dosya. Dosya unziped sonra, size 2 metin dosyaları ve klasör adında olacak uzantısı . Bu klasör yeniden adlandırma ionide.ionide-Fsharp-3.27.0
  4. Terminal, türüne:
    • cd ~/.vscode

    • cd extensions/

    • mv /home/####/Downloads/Ionide-fsharp-3.27.0.vsix_FILES/ionide.ionide-fsharp-3.27.0 . (Yeni konuma klasörü taşımak için sonunda noktayı unutmayın)

  5. o VS Kod uzantıları içine ionide.ionide-Fsharp-3.27.0 eklemek gerekir
  6. Eğer, Conner sol alt kısmında, VS Kanununda VS Kanunu (içinde otomatik güncellemeyi kapatın simgesine Ayar tıklayın> alanına Ayarlar> tıklamanız gerekir Arama ayarı , tip güncelleme ve arama, daha sonra sonuç bulmak istediğiniz Uzantıları: Otomatik Güncelleme )
Cevap 21/10/2018 saat 16:24
kaynak kullanıcı

oy
0

Sadece bu bağlantıdan .NET Çekirdek SDK yükleyerek bu sorunu giderebilirsiniz https://www.microsoft.com/net/learn/dotnet/hello-world-tutorial

Cevap 23/11/2018 saat 15:18
kaynak kullanıcı

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more